Fork me on GitHub"

# skbio.metadata.IntervalMetadata.drop

`IntervalMetadata.``drop`(intervals, negate=False)

  Drops Interval objects.

  State: Experimental as of 0.5.1.

  The given `Interval` objects will be removed and their associated `IntervalMetadata` will be set to `None`.

  Parameters:

  - intervals (iterable of `Interval`) – `Interval` objects to drop from this object.
  - negate (bool) – Negate the drop operation, i.e. keeping the specified intervals instead of dropping them.